Subject: bug#47028: closed (Re: bug#47028: [PATCH 2/2] lint: Warn about single-character package names.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Apr 2021 20:42:02 +0000

Your bug report

#47028: Discourage single-character package names

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47028: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47028
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47028: [PATCH 2/2] lint: Warn about single-character package names.
From: Tobias Geerinckx-Rice <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Apr 2021 22:41:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun writes:
> My point is: I am not even sure that “r” should be whitelisted.

I think it deserves the name, but my reasons are fuzzy and feely. 
Anyway: I added that exception for ‘r’ and pushed as 
1126bb9cf33f10f004a5f53331389c777c025e75 et al.

Kind regards,

T G-R

Subject: Discourage single-character package names
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: Mark H Weaver <[email-masked]>
Date: Tue, 09 Mar 2021 22:39:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver 写道：
> Yesterday, an obscure package called "t" was added to Guix.  We 
> should
> reject such short package names in Guix unless there's a very 
> compelling
> reason to keep them.

I completely agree (in fact I can't compel myself to find 
excusable exceptions), but this wasn't explicitly documented 
anywhere I looked.

Kind regards,

T G-R